<!DOCTYPE html>
<html lang=es>
    <head>
        <!-- La codificación. Considéralo una buena práctica -->
        <meta charset=utf-8>

        <!-- Información adicional para buscadores y navegadores -->
        <meta name="author" content="Nombre del autor">
        <meta name="description" content="Ejemplo de onload">

        <!-- Título de la página -->
        <title>Ejemplo de onload</title>
        
        <!-- Carga la hoja de estilos -->
        <link rel="stylesheet" href="onsubmit.css">

        <script src="a.js" defer></script>
    </head>

    <body>

        <h1 id="encabezado">Prueba onsubmit</h1>
        <p>Valida el DNI. En caso de que sea inválido no permite enviar el form

        <!-- Si identifico el form de este modo, puedo acceder directamente con . -->
        <form id="frm" name="frm">
            <input type="text" name="color" value="#FF0000">
            <input type="text" name="color" value="#FF0000">
            <input type="text" name="color" value="#FF0000">
            <input type="text" name="color" value="#FF0000">
            <input type="text" name="color" value="#FF0000">
            <input type="text" name="color" value="#FF0000">
            <div class="limpiar">
                <input type="text" class="campo bonito" value="#FF0000">
                <input type="text" class="campo feo" value="#FF0000">
                <input type="text" class="campo" value="#FF0000">
                <input type="text" class="campo" value="#FF0000">
            </div>

            <input type="submit">
        </form>    
    </body>   
</html>
